spack:
  include:
      - compiler_definitions.yaml

  definitions:
    - serial_codes_per_cluster:
        - python
        - hdf5 ~mpi

    - mpi_codes:
        - osu-micro-benchmarks
        - hdf5 +mpi

    - mpis:
        - intel-oneapi-mpi

    - when: env['environment'] in ['helvetios']
      mpis:
        - openmpi
    - when: env['environment'] in ['izar', 'jed']
      mpis:
        - openmpi +cuda

    - all_serial_codes:
        - $serial_codes_per_cluster
        - $mpis

  specs:
    - matrix:
        - [$compilers_specs]
    - matrix:
        - [$all_serial_codes]
        - [$%compilers]
    - matrix:
        - [$mpis]
    - matrix:
        - [$mpi_codes]
        - [$^mpis]
        - [$%compilers]

  concretizer:
    unify: false
    duplicates:
      strategy: minimal

  view: false
#    default:
#      root: /stack/packages/
